<Unified_Provisioning version="1.0">
  <ApplicationMetadata>
    <Name>Wireless Village</Name>
    <AppId>wA</AppId>
    <TextLabel>DEVICE_MGMT_CP_WV_TXT</TextLabel>
    <RegistryPath>/apps/wireless-village/account-temp</RegistryPath>
    <AccountKey>N/A</AccountKey>
    <MaxAccounts>1</MaxAccounts>
    <AccountValidatorCID>F38D7924-6249-4cf9-A154-6B75AAA43534</AccountValidatorCID>
  </ApplicationMetadata>
  <RequiredRegValues>
    <Value>
      <RegistryValuePath>/apps/wireless-village/account-temp/wap-profile</RegistryValuePath>
      <RegistryValueType>WString</RegistryValueType>
      <DefaultValue>N/A</DefaultValue>
    </Value>
    <Value>
      <RegistryValuePath>/apps/wireless-village/account-temp/server-address</RegistryValuePath>
      <RegistryValueType>WString</RegistryValueType>
      <DefaultValue>N/A</DefaultValue>
    </Value>
    <Value>
      <RegistryValuePath>/apps/wireless-village/account-temp/username</RegistryValuePath>
      <RegistryValueType>WString</RegistryValueType>
      <DefaultValue>N/A</DefaultValue>
    </Value>
    <Value>
      <RegistryValuePath>/apps/wireless-village/account-temp/password</RegistryValuePath>
      <RegistryValueType>WString</RegistryValueType>
      <DefaultValue>N/A</DefaultValue>
    </Value>
  </RequiredRegValues>
  <DMTree>
    <Com.SonyEricsson type="node">
      <Settings type="node">
        <WV type="node">
          <UserId type="leaf" occurrence="1/1">
            <SettingID>1</SettingID>
            <Description>The username</Description>
            <RegistryValuePath>/apps/wireless-village/account-temp/username</RegistryValuePath>
            <RegistryValueType>WString</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <AccessType>Get</AccessType>
            <AccessType>Replace</AccessType>
            <CPTag>APPLICATION/APPAUTH/AAUTHNAME</CPTag>
          </UserId>
          <Password type="leaf" occurrence="1/1">
            <SettingID>2</SettingID>
            <Description>The password</Description>
            <RegistryValuePath>/apps/wireless-village/account-temp/password</RegistryValuePath>
            <RegistryValueType>WString</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <AccessType>Get</AccessType>
            <AccessType>Replace</AccessType>
            <CPTag>APPLICATION/APPAUTH/AAUTHSECRET</CPTag>
          </Password>
          <SAPURI type="leaf" occurrence="1/1">
            <SettingID>3</SettingID>
            <Description>The server address</Description>
            <RegistryValuePath>/apps/wireless-village/account-temp/server-address</RegistryValuePath>
            <RegistryValueType>WString</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <AccessType>Get</AccessType>
            <AccessType>Replace</AccessType>
            <CPTag>APPLICATION/ADDR</CPTag>
            <CPTag>APPLICATION/APPADDR/ADDR</CPTag>
          </SAPURI>
          <NapRef type="leaf" occurrence="1/1">
            <SettingID>4</SettingID>
            <Description>The data account</Description>
            <RegistryValuePath type="napid">/apps/wireless-village/account-temp/wap-profile</RegistryValuePath>
            <RegistryValueType>WString</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <AccessType>Get</AccessType>
            <AccessType>Replace</AccessType>
            <CPTag>APPLICATION/TO-NAPID</CPTag>
          </NapRef>
          <AutoLogin type="leaf" occurrence="1/1">
            <SettingID>5</SettingID>
            <Description>Indicate if Autologin is enabled</Description>
            <RegistryValuePath>/apps/wireless-village/account-temp/autologin</RegistryValuePath>
            <RegistryValueType>Binary</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <AccessType>Get</AccessType>
            <AccessType>Replace</AccessType>
          </AutoLogin>
          <Roam type="leaf" occurrence="1/1">
            <SettingID>6</SettingID>
            <Description>Allows connection if roaming</Description>
            <RegistryValuePath>/apps/wireless-village/account-temp/allow-wv-if-roaming</RegistryValuePath>
            <RegistryValueType>Binary</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <AccessType>Add</AccessType>
            <AccessType>Get</AccessType>
            <AccessType>Replace</AccessType>
          </Roam>
          <IsAvail type="leaf" occurrence="1/1">
            <SettingID>7</SettingID>
            <Description>Indicates if the application is enabled (read-only)</Description>
            <RegistryValuePath>/apps/wireless-village/wv-enabled</RegistryValuePath>
            <RegistryValueType>Binary</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <AccessType>Get</AccessType>
          </IsAvail>
          <AAccept type="leaf" occurrence="0/0">
            <SettingID>8</SettingID>
            <Description>
              Used to verify correct WV protocol version and XML coding
              (XML or WBXML)
            </Description>
            <RegistryValuePath>/apps/wireless-village/account-temp/fake-value-aaccept</RegistryValuePath>
            <RegistryValueType>WString</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <CPTag>APPLICATION/AACCEPT</CPTag>
          </AAccept>
          <AAuthLevel type="leaf" occurrence="0/0">
            <SettingID>9</SettingID>
            <Description>
              Only the value APPSRV is supported.
            </Description>
            <RegistryValuePath>/apps/wireless-village/account-temp/fake-value-aauthlevel</RegistryValuePath>
            <RegistryValueType>WString</RegistryValueType>
            <PossibleValue>APPSRV</PossibleValue>
            <CPTag>APPLICATION/APPAUTH/AAUTHLEVEL</CPTag>
          </AAuthLevel>
          <AddrType type="leaf" occurrence="0/0">
            <SettingID>10</SettingID>
            <Description>
              Only used to validate that ADDRTYPE is not “E164” (SMS
              bearer)
            </Description>
            <RegistryValuePath>/apps/wireless-village/account-temp/fake-value-addrtype</RegistryValuePath>
            <RegistryValueType>WString</RegistryValueType>
            <PossibleValue>N/A</PossibleValue>
            <CPTag>APPLICATION/APPADDR/ADDRTYPE</CPTag>
          </AddrType>
        </WV>
      </Settings>
    </Com.SonyEricsson>
  </DMTree>
</Unified_Provisioning>